#!/bin/sh
#
# jmxsh
#
# A shell wrapper for jmxsh.
#
# Assumes java is in the PATH.  If not, will need to edit this script.
#
# You'll need to modify this when you find a place to put the jmxsh class.
#
PATH=$PATH:/usr/jre/bin
[ -n "$XYMONHOME" ] && XYMONEXT=$XYMONHOME/ext || XYMONEXT=.
JMXSH_JARFILE=$XYMONEXT/jmxsh-R5.jar
JMXSH_SCRIPT=$XYMONEXT/jmxstat.tcl

ENV=" "
[ -n "$XYMON" ] && ENV="${ENV}-DXYMON=$XYMON "
[ -n "$XYMONHOME" ] && ENV="${ENV}-DXYMONHOME=$XYMONHOME "
[ -n "$XYMSRV" ] && ENV="${ENV}-DXYMSRV=$XYMSRV "

case $@ in
  *-B*)
    CMD=`java $ENV -jar $JMXSH_JARFILE $JMXSH_SCRIPT "$@"`
    [ $? -eq 0 ] && exec java -jar $JMXSH_JARFILE $CMD || exit 1
    ;;
esac
#date +%H:%M:%S
exec java $ENV \
  -jar \
  $JMXSH_JARFILE \
  $JMXSH_SCRIPT \
  "$@"

