#!/bin/sh
#
# jmxsh
#
# A shell wrapper for jmxsh.
#
# Assumes java is in the PATH.  If not, will need to edit this script.
#
# You'll need to modify this when you find a place to put the jmxsh class.
#
PATH=$PATH:/opt/cloudcommon/webs/jre/bin
[ -n "$BBHOME" ] && BBEXT=$BBHOME/ext || BBEXT=.
JMXSH_JARFILE=$BBEXT/jmxsh-R5.jar
JMXSH_SCRIPT=$BBEXT/jmxstat.tcl

ENV=" "
[ -n "$BB" ] && ENV="${ENV}-DBB=$BB "
[ -n "$BBHOME" ] && ENV="${ENV}-DBBHOME=$BBHOME "
[ -n "$BBDISP" ] && ENV="${ENV}-DBBDISP=$BBDISP "

case $@ in
  *-B*)
    CMD=`java $ENV -jar $JMXSH_JARFILE $JMXSH_SCRIPT "$@"`
    [ $? -eq 0 ] && exec java -jar $JMXSH_JARFILE $CMD || exit 1
    ;;
esac
#date +%H:%M:%S
exec java $ENV \
  -jar \
  $JMXSH_JARFILE \
  $JMXSH_SCRIPT \
  "$@"

